# KDE tags expanded automatically by am_edit - $Revision: 1.314 $ 
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AS = @AS@
AUTODIRS = @AUTODIRS@
AWK = @AWK@
CC = @CC@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
EXEEXT = @EXEEXT@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KDECONFIG = @KDECONFIG@
KDE_CXXFLAGS = @KDE_CXXFLAGS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LEX = @LEX@
LEXLIB = @LEXLIB@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBGEN = @LIBGEN@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = @LIBRESOLV@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_DEVSTAT = @LIB_DEVSTAT@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SETUIDFLAGS = @SETUIDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__include = @am__include@
am__quote = @am__quote@
idldir = @idldir@
install_sh = @install_sh@
jni_includes = @jni_includes@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
micodir = @micodir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

SUBDIRS = dialogParts


# the library search path.
# cdbakeoven_LDFLAGS = $(KDE_RPATH) $(all_libraries)
INCLUDES = $(all_includes)

# let automoc handle all of the meta source files (moc)
#>- METASOURCES = AUTO

noinst_LIBRARIES = libdialogs.a

libdialogs_a_SOURCES = NewAudioCdDialogBase.cpp NewAudioCdDialog.cpp RippAudioDialogBase.cpp RippAudioDialog.cpp SessionTypeDialog.cpp PreviewDialog.cpp CdboDialogActionFactory.cpp CdboDialogBase.cpp NewCdDialogBase.cpp NewCdDialog.cpp MainDialogBase.cpp MainDialog.cpp EraseDialogBase.cpp EraseDialog.cpp CdCopyDialogBase.cpp CdCopyDialog.cpp

EXTRA_DIST = NewAudioCdDialog.h NewAudioCdDialog.cpp NewAudioCdDialogBase.h NewAudioCdDialogBase.cpp CdCopyDialog.cpp CdCopyDialog.h CdCopyDialogBase.cpp CdCopyDialogBase.h EraseDialog.cpp EraseDialog.h EraseDialogBase.cpp EraseDialogBase.h MainDialog.cpp MainDialog.h MainDialogBase.cpp MainDialogBase.h NewCdDialog.cpp NewCdDialog.h NewCdDialogBase.cpp NewCdDialogBase.h CdboDialogBase.h CdboDialogBase.cpp CdboDialogActionFactory.cpp CdboDialogActionFactory.h PreviewDialog.cpp PreviewDialog.h SessionTypeDialog.cpp SessionTypeDialog.h RippAudioDialog.cpp RippAudioDialog.h RippAudioDialogBase.cpp RippAudioDialogBase.h
subdir = cdbakeoven/dialogs
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libdialogs_a_AR = $(AR) cru
libdialogs_a_LIBADD =
am_libdialogs_a_OBJECTS = NewAudioCdDialogBase.$(OBJEXT) \
	NewAudioCdDialog.$(OBJEXT) RippAudioDialogBase.$(OBJEXT) \
	RippAudioDialog.$(OBJEXT) SessionTypeDialog.$(OBJEXT) \
	PreviewDialog.$(OBJEXT) CdboDialogActionFactory.$(OBJEXT) \
	CdboDialogBase.$(OBJEXT) NewCdDialogBase.$(OBJEXT) \
	NewCdDialog.$(OBJEXT) MainDialogBase.$(OBJEXT) \
	MainDialog.$(OBJEXT) EraseDialogBase.$(OBJEXT) \
	EraseDialog.$(OBJEXT) CdCopyDialogBase.$(OBJEXT) \
	CdCopyDialog.$(OBJEXT)
#>- libdialogs_a_OBJECTS = $(am_libdialogs_a_OBJECTS)
#>+ 13
libdialogs_a_final_OBJECTS = libdialogs_a.all_cpp.o 
libdialogs_a_nofinal_OBJECTS = NewAudioCdDialogBase.$(OBJEXT) \
	NewAudioCdDialog.$(OBJEXT) RippAudioDialogBase.$(OBJEXT) \
	RippAudioDialog.$(OBJEXT) SessionTypeDialog.$(OBJEXT) \
	PreviewDialog.$(OBJEXT) CdboDialogActionFactory.$(OBJEXT) \
	CdboDialogBase.$(OBJEXT) NewCdDialogBase.$(OBJEXT) \
	NewCdDialog.$(OBJEXT) MainDialogBase.$(OBJEXT) \
	MainDialog.$(OBJEXT) EraseDialogBase.$(OBJEXT) \
	EraseDialog.$(OBJEXT) CdCopyDialogBase.$(OBJEXT) \
	CdCopyDialog.$(OBJEXT) \
	libdialogs_a_meta_unload.o 
@KDE_USE_FINAL_FALSE@libdialogs_a_OBJECTS = $(libdialogs_a_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libdialogs_a_OBJECTS = $(libdialogs_a_final_OBJECTS)

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/CdCopyDialog.Po \
	@AMDEP_TRUE@	$(DEPDIR)/CdCopyDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/CdboDialogActionFactory.Po \
	@AMDEP_TRUE@	$(DEPDIR)/CdboDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/EraseDialog.Po \
	@AMDEP_TRUE@	$(DEPDIR)/EraseDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/MainDialog.Po $(DEPDIR)/MainDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/NewAudioCdDialog.Po \
	@AMDEP_TRUE@	$(DEPDIR)/NewAudioCdDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/NewCdDialog.Po \
	@AMDEP_TRUE@	$(DEPDIR)/NewCdDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/PreviewDialog.Po \
	@AMDEP_TRUE@	$(DEPDIR)/RippAudioDialog.Po \
	@AMDEP_TRUE@	$(DEPDIR)/RippAudioDialogBase.Po \
	@AMDEP_TRUE@	$(DEPDIR)/SessionTypeDialog.Po
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = @CXXFLAGS@
DIST_SOURCES = $(libdialogs_a_SOURCES)

RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(libdialogs_a_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- $(AUTOMAKE) --gnu  cdbakeoven/dialogs/Makefile
#>+ 3
	cd $(top_srcdir) && \
	$(AUTOMAKE) --gnu  cdbakeoven/dialogs/Makefile
	cd $(top_srcdir) && perl admin/am_edit cdbakeoven/dialogs/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	CONFIG_HEADERS= CONFIG_LINKS= \
	CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

AR = ar

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libdialogs.a: $(libdialogs_a_OBJECTS) $(libdialogs_a_DEPENDENCIES) 
	-rm -f libdialogs.a
	$(libdialogs_a_AR) libdialogs.a $(libdialogs_a_OBJECTS) $(libdialogs_a_LIBADD)
	$(RANLIB) libdialogs.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdCopyDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdCopyDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboDialogActionFactory.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/EraseDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/EraseDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/MainDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/MainDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/NewAudioCdDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/NewAudioCdDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/NewCdDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/NewCdDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/PreviewDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/RippAudioDialog.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/RippAudioDialogBase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/SessionTypeDialog.Po@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.cpp.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.cpp.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cpp.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
CXXDEPMODE = @CXXDEPMODE@
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	echo "Making $$target in $$subdir"; \
	if test "$$subdir" = "."; then \
	dot_seen=yes; \
	local_target="$$target-am"; \
	else \
	local_target="$$target"; \
	fi; \
	(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	|| case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	$(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
	maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	*) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	if test "$$subdir" = "."; then :; else \
	rev="$$subdir $$rev"; \
	fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	echo "Making $$target in $$subdir"; \
	if test "$$subdir" = "."; then \
	local_target="$$target-am"; \
	else \
	local_target="$$target"; \
	fi; \
	(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	|| case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	done | \
	$(AWK) '    { files[$$0] = 1; } \
	END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
	$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	if test "$$subdir" = .; then :; else \
	test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	fi; \
	done; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	done | \
	$(AWK) '    { files[$$0] = 1; } \
	END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	|| etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	&& cd $(top_srcdir) \
	&& gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=libdialogs.a 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	if test -f $$file; then d=.; else d=$(srcdir); fi; \
	dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	$(mkinstalldirs) "$(distdir)/$$dir"; \
	fi; \
	if test -d $$d/$$file; then \
	cp -pR $$d/$$file $(distdir) \
	|| exit 1; \
	else \
	test -f $(distdir)/$$file \
	|| cp -p $$d/$$file $(distdir)/$$file \
	|| exit 1; \
	fi; \
	done
	for subdir in $(SUBDIRS); do \
	if test "$$subdir" = .; then :; else \
	test -d $(distdir)/$$subdir \
	|| mkdir $(distdir)/$$subdir \
	|| exit 1; \
	(cd $$subdir && \
	$(MAKE) $(AM_MAKEFLAGS) \
	top_distdir="$(top_distdir)" \
	distdir=../$(distdir)/$$subdir \
	distdir) \
	|| exit 1; \
	fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LIBRARIES)
installdirs: installdirs-recursive
installdirs-am:

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	`test -z '$(STRIP)' || \
	echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-libtool clean-noinstLIBRARIES \
#>- mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-moc-classes clean-final  clean-generic clean-libtool clean-noinstLIBRARIES \
	mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-libtool clean-noinstLIBRARIES \
	clean-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-man install-recursive \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am installdirs-recursive maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	mostlyclean-recursive tags tags-recursive uninstall \
	uninstall-am uninstall-info-am uninstall-info-recursive \
	uninstall-recursive

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
PreviewDialog.moc: $(srcdir)/PreviewDialog.h
	$(MOC) $(srcdir)/PreviewDialog.h -o PreviewDialog.moc

#>+ 3
SessionTypeDialog.moc: $(srcdir)/SessionTypeDialog.h
	$(MOC) $(srcdir)/SessionTypeDialog.h -o SessionTypeDialog.moc

#>+ 3
NewCdDialog.moc: $(srcdir)/NewCdDialog.h
	$(MOC) $(srcdir)/NewCdDialog.h -o NewCdDialog.moc

#>+ 3
EraseDialog.moc: $(srcdir)/EraseDialog.h
	$(MOC) $(srcdir)/EraseDialog.h -o EraseDialog.moc

#>+ 3
CdboDialogActionFactory.moc: $(srcdir)/CdboDialogActionFactory.h
	$(MOC) $(srcdir)/CdboDialogActionFactory.h -o CdboDialogActionFactory.moc

#>+ 3
CdCopyDialogBase.moc: $(srcdir)/CdCopyDialogBase.h
	$(MOC) $(srcdir)/CdCopyDialogBase.h -o CdCopyDialogBase.moc

#>+ 3
EraseDialogBase.moc: $(srcdir)/EraseDialogBase.h
	$(MOC) $(srcdir)/EraseDialogBase.h -o EraseDialogBase.moc

#>+ 3
RippAudioDialogBase.moc: $(srcdir)/RippAudioDialogBase.h
	$(MOC) $(srcdir)/RippAudioDialogBase.h -o RippAudioDialogBase.moc

#>+ 3
MainDialog.moc: $(srcdir)/MainDialog.h
	$(MOC) $(srcdir)/MainDialog.h -o MainDialog.moc

#>+ 3
NewCdDialogBase.moc: $(srcdir)/NewCdDialogBase.h
	$(MOC) $(srcdir)/NewCdDialogBase.h -o NewCdDialogBase.moc

#>+ 3
NewAudioCdDialogBase.moc: $(srcdir)/NewAudioCdDialogBase.h
	$(MOC) $(srcdir)/NewAudioCdDialogBase.h -o NewAudioCdDialogBase.moc

#>+ 3
NewAudioCdDialog.moc: $(srcdir)/NewAudioCdDialog.h
	$(MOC) $(srcdir)/NewAudioCdDialog.h -o NewAudioCdDialog.moc

#>+ 3
CdCopyDialog.moc: $(srcdir)/CdCopyDialog.h
	$(MOC) $(srcdir)/CdCopyDialog.h -o CdCopyDialog.moc

#>+ 3
MainDialogBase.moc: $(srcdir)/MainDialogBase.h
	$(MOC) $(srcdir)/MainDialogBase.h -o MainDialogBase.moc

#>+ 3
RippAudioDialog.moc: $(srcdir)/RippAudioDialog.h
	$(MOC) $(srcdir)/RippAudioDialog.h -o RippAudioDialog.moc

#>+ 3
clean-metasources:
	-rm -f  PreviewDialog.moc SessionTypeDialog.moc NewCdDialog.moc EraseDialog.moc CdboDialogActionFactory.moc CdCopyDialogBase.moc EraseDialogBase.moc RippAudioDialogBase.moc MainDialog.moc NewCdDialogBase.moc NewAudioCdDialogBase.moc NewAudioCdDialog.moc CdCopyDialog.moc MainDialogBase.moc RippAudioDialog.moc

#>+ 2
docs-am:

#>+ 2
apidox-am:

#>+ 9
apidox: apidox-am
	@set fnord $(MAKEFLAGS); amf=$$2; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) apidox) || exit 1; \
		fi ;\
	done

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	$(AUTOMAKE) --gnu  cdbakeoven/dialogs/Makefile
	cd $(top_srcdir) && perl admin/am_edit cdbakeoven/dialogs/Makefile.in


#>+ 12
libdialogs_a_meta_unload.cpp:  PreviewDialog.moc SessionTypeDialog.moc NewCdDialog.moc CdboDialogActionFactory.moc EraseDialog.moc RippAudioDialogBase.moc EraseDialogBase.moc CdCopyDialogBase.moc MainDialog.moc NewAudioCdDialogBase.moc NewCdDialogBase.moc NewAudioCdDialog.moc CdCopyDialog.moc MainDialogBase.moc RippAudioDialog.moc
	@echo 'creating libdialogs_a_meta_unload.cpp'
	@-rm -f libdialogs_a_meta_unload.cpp
	@if test ${kde_qtver} = 2; then \
		echo 'static const char * _metalist_libdialogs_a[] = {' > libdialogs_a_meta_unload.cpp ;\
		cat  PreviewDialog.moc SessionTypeDialog.moc NewCdDialog.moc CdboDialogActionFactory.moc EraseDialog.moc RippAudioDialogBase.moc EraseDialogBase.moc CdCopyDialogBase.moc MainDialog.moc NewAudioCdDialogBase.moc NewCdDialogBase.moc NewAudioCdDialog.moc CdCopyDialog.moc MainDialogBase.moc RippAudioDialog.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> libdialogs_a_meta_unload.cpp ;\
		echo '0};' >> libdialogs_a_meta_unload.cpp ;\
		echo '#include <kunload.h>' >> libdialogs_a_meta_unload.cpp ;\
		echo '_UNLOAD(libdialogs_a)' >> libdialogs_a_meta_unload.cpp ;\
	else echo > libdialogs_a_meta_unload.cpp; fi


#>+ 3
clean-moc-classes:
	-rm -f  libdialogs_a_meta_unload.cpp

#>+ 11
libdialogs_a.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/NewAudioCdDialogBase.cpp $(srcdir)/NewAudioCdDialog.cpp $(srcdir)/RippAudioDialogBase.cpp $(srcdir)/RippAudioDialog.cpp $(srcdir)/SessionTypeDialog.cpp $(srcdir)/PreviewDialog.cpp $(srcdir)/CdboDialogActionFactory.cpp $(srcdir)/CdboDialogBase.cpp $(srcdir)/NewCdDialogBase.cpp $(srcdir)/NewCdDialog.cpp $(srcdir)/MainDialogBase.cpp $(srcdir)/MainDialog.cpp $(srcdir)/EraseDialogBase.cpp $(srcdir)/EraseDialog.cpp $(srcdir)/CdCopyDialogBase.cpp $(srcdir)/CdCopyDialog.cpp $(srcdir)/libdialogs_a_meta_unload.cpp   PreviewDialog.moc SessionTypeDialog.moc NewCdDialog.moc EraseDialog.moc CdboDialogActionFactory.moc CdCopyDialogBase.moc EraseDialogBase.moc RippAudioDialogBase.moc MainDialog.moc NewCdDialogBase.moc NewAudioCdDialogBase.moc NewAudioCdDialog.moc CdCopyDialog.moc MainDialogBase.moc RippAudioDialog.moc 
	@echo 'creating libdialogs_a.all_cpp.cpp ...'; \
	rm -f libdialogs_a.all_cpp.files libdialogs_a.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libdialogs_a.all_cpp.final; \
	for file in NewAudioCdDialogBase.cpp NewAudioCdDialog.cpp RippAudioDialogBase.cpp RippAudioDialog.cpp SessionTypeDialog.cpp PreviewDialog.cpp CdboDialogActionFactory.cpp CdboDialogBase.cpp NewCdDialogBase.cpp NewCdDialog.cpp MainDialogBase.cpp MainDialog.cpp EraseDialogBase.cpp EraseDialog.cpp CdCopyDialogBase.cpp CdCopyDialog.cpp libdialogs_a_meta_unload.cpp ; do \
	  echo "#include \"$$file\"" >> libdialogs_a.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libdialogs_a.all_cpp.final; \
	done; \
	cat libdialogs_a.all_cpp.final libdialogs_a.all_cpp.files  > libdialogs_a.all_cpp.cpp; \
	rm -f libdialogs_a.all_cpp.final libdialogs_a.all_cpp.files

#>+ 3
clean-final:
	-rm -f libdialogs_a.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libdialogs_a_OBJECTS="$(libdialogs_a_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libdialogs_a_OBJECTS="$(libdialogs_a_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libdialogs_a_OBJECTS="$(libdialogs_a_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libdialogs_a_OBJECTS="$(libdialogs_a_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 16
$(srcdir)/RippAudioDialog.cpp: RippAudioDialog.moc 
$(srcdir)/MainDialog.cpp: MainDialog.moc 
$(srcdir)/PreviewDialog.cpp: PreviewDialog.moc 
$(srcdir)/CdCopyDialogBase.cpp: CdCopyDialogBase.moc 
$(srcdir)/CdboDialogActionFactory.cpp: CdboDialogActionFactory.moc 
$(srcdir)/NewAudioCdDialogBase.cpp: NewAudioCdDialogBase.moc 
$(srcdir)/EraseDialog.cpp: EraseDialog.moc 
$(srcdir)/NewCdDialogBase.cpp: NewCdDialogBase.moc 
$(srcdir)/SessionTypeDialog.cpp: SessionTypeDialog.moc 
$(srcdir)/MainDialogBase.cpp: MainDialogBase.moc 
$(srcdir)/NewAudioCdDialog.cpp: NewAudioCdDialog.moc 
$(srcdir)/RippAudioDialogBase.cpp: RippAudioDialogBase.moc 
$(srcdir)/EraseDialogBase.cpp: EraseDialogBase.moc 
$(srcdir)/CdCopyDialog.cpp: CdCopyDialog.moc 
$(srcdir)/NewCdDialog.cpp: NewCdDialog.moc 
